org.modeshape.sequencer.teiid.lexicon

## Interface VdbLexicon.ManifestIds

- Enclosing interface:
    VdbLexicon

      public static interface VdbLexicon.ManifestIds

  Constants associated with the VDB namespace that identify VDB manifest identifiers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOW_ALTER`
    `static String` | `ALLOW_CREATE`
    `static String` | `ALLOW_CREATE_TEMP_TABLES`
    `static String` | `ALLOW_DELETE`
    `static String` | `ALLOW_EXECUTE`
    `static String` | `ALLOW_READ`
    `static String` | `ALLOW_UPDATE`
    `static String` | `ANY_AUTHENTICATED`
    `static String` | `BUILT_IN`
    `static String` | `CHECKSUM`
    `static String` | `DATA_ROLE`
    `static String` | `DESCRIPTION`
    `static String` | `ENTRY`
    `static String` | `IMPORT_DATA_POLICIES`
    `static String` | `IMPORT_VDB`
    `static String` | `IMPORTS`
    `static String` | `INDEX_NAME`
    `static String` | `JNDI_NAME`
    `static String` | `MAPPED_ROLE_NAME`
    `static String` | `METADATA`
    `static String` | `MODEL`
    `static String` | `NAME`
    `static String` | `PATH`
    `static String` | `PERMISSION`
    `static String` | `PREVIEW`
    `static String` | `PROPERTY`
    `static String` | `RESOURCE_NAME`
    `static String` | `SEVERITY`
    `static String` | `SOURCE`
    `static String` | `TRANSLATOR`
    `static String` | `TRANSLATOR_NAME`
    `static String` | `TYPE`
    `static String` | `VALIDATION_ERROR`
    `static String` | `VALUE`
    `static String` | `VDB`
    `static String` | `VERSION`
    `static String` | `VISIBLE`

- - ### Field Detail

    - #### ALLOW_ALTER

          static final String ALLOW_ALTER

      See Also:
        Constant Field Values

    - #### ALLOW_CREATE

          static final String ALLOW_CREATE

      See Also:
        Constant Field Values

    - #### ALLOW_CREATE_TEMP_TABLES

          static final String ALLOW_CREATE_TEMP_TABLES

      See Also:
        Constant Field Values

    - #### ALLOW_DELETE

          static final String ALLOW_DELETE

      See Also:
        Constant Field Values

    - #### ALLOW_EXECUTE

          static final String ALLOW_EXECUTE

      See Also:
        Constant Field Values

    - #### ALLOW_READ

          static final String ALLOW_READ

      See Also:
        Constant Field Values

    - #### ALLOW_UPDATE

          static final String ALLOW_UPDATE

      See Also:
        Constant Field Values

    - #### ANY_AUTHENTICATED

          static final String ANY_AUTHENTICATED

      See Also:
        Constant Field Values

    - #### BUILT_IN

          static final String BUILT_IN

      See Also:
        Constant Field Values

    - #### CHECKSUM

          static final String CHECKSUM

      See Also:
        Constant Field Values

    - #### DATA_ROLE

          static final String DATA_ROLE

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### ENTRY

          static final String ENTRY

      See Also:
        Constant Field Values

    - #### IMPORTS

          static final String IMPORTS

      See Also:
        Constant Field Values

    - #### IMPORT_DATA_POLICIES

          static final String IMPORT_DATA_POLICIES

      See Also:
        Constant Field Values

    - #### IMPORT_VDB

          static final String IMPORT_VDB

      See Also:
        Constant Field Values

    - #### INDEX_NAME

          static final String INDEX_NAME

      See Also:
        Constant Field Values

    - #### JNDI_NAME

          static final String JNDI_NAME

      See Also:
        Constant Field Values

    - #### MAPPED_ROLE_NAME

          static final String MAPPED_ROLE_NAME

      See Also:
        Constant Field Values

    - #### METADATA

          static final String METADATA

      See Also:
        Constant Field Values

    - #### MODEL

          static final String MODEL

      See Also:
        Constant Field Values

    - #### NAME

          static final String NAME

      See Also:
        Constant Field Values

    - #### PATH

          static final String PATH

      See Also:
        Constant Field Values

    - #### PERMISSION

          static final String PERMISSION

      See Also:
        Constant Field Values

    - #### PREVIEW

          static final String PREVIEW

      See Also:
        Constant Field Values

    - #### PROPERTY

          static final String PROPERTY

      See Also:
        Constant Field Values

    - #### RESOURCE_NAME

          static final String RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### SEVERITY

          static final String SEVERITY

      See Also:
        Constant Field Values

    - #### SOURCE

          static final String SOURCE

      See Also:
        Constant Field Values

    - #### TRANSLATOR

          static final String TRANSLATOR

      See Also:
        Constant Field Values

    - #### TRANSLATOR_NAME

          static final String TRANSLATOR_NAME

      See Also:
        Constant Field Values

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

    - #### VALIDATION_ERROR

          static final String VALIDATION_ERROR

      See Also:
        Constant Field Values

    - #### VALUE

          static final String VALUE

      See Also:
        Constant Field Values

    - #### VDB

          static final String VDB

      See Also:
        Constant Field Values

    - #### VERSION

          static final String VERSION

      See Also:
        Constant Field Values

    - #### VISIBLE

          static final String VISIBLE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.